package domain


type AlibabaWdkElemeBillDetailGetApiResult struct {
    /*
        账单信息     */
    Model  *AlibabaWdkElemeBillDetailGetEleBillBo `json:"model,omitempty" `

    /*
        错误描述     */
    ErrMsg  *string `json:"err_msg,omitempty" `

    /*
        错误编码     */
    ErrCode  *string `json:"err_code,omitempty" `

    /*
        调用是否成功     */
    Success  *bool `json:"success,omitempty" `

}

func (s *AlibabaWdkElemeBillDetailGetApiResult) SetModel(v AlibabaWdkElemeBillDetailGetEleBillBo) *AlibabaWdkElemeBillDetailGetApiResult {
    s.Model = &v
    return s
}
func (s *AlibabaWdkElemeBillDetailGetApiResult) SetErrMsg(v string) *AlibabaWdkElemeBillDetailGetApiResult {
    s.ErrMsg = &v
    return s
}
func (s *AlibabaWdkElemeBillDetailGetApiResult) SetErrCode(v string) *AlibabaWdkElemeBillDetailGetApiResult {
    s.ErrCode = &v
    return s
}
func (s *AlibabaWdkElemeBillDetailGetApiResult) SetSuccess(v bool) *AlibabaWdkElemeBillDetailGetApiResult {
    s.Success = &v
    return s
}
